Last Comment Bug 758683 - Change the pause icon to a play icon in the debugger toolbar
: Change the pause icon to a play icon in the debugger toolbar
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Rob Campbell [:rc] (:robcee)
:
: James Long (:jlongster)
Mentors:
Depends on:
Blocks: minotaur
  Show dependency treegraph
 
Reported: 2012-05-25 10:07 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2012-06-01 05:55 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Play Icon (686 bytes, image/png)
2012-05-30 07:19 PDT, Stephen Horlander [:shorlander]
no flags Details
Windows fix for the pause icon (780 bytes, patch)
2012-05-31 04:25 PDT, Panos Astithas [:past]
no flags Details | Diff | Splinter Review
play icons (6.60 KB, patch)
2012-05-31 14:41 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Splinter Review
mac screenshot (28.91 KB, image/png)
2012-05-31 14:44 PDT, Rob Campbell [:rc] (:robcee)
no flags Details
play icons v1 (8.17 KB, patch)
2012-05-31 15:45 PDT, Rob Campbell [:rc] (:robcee)
dcamp: review+
Details | Diff | Splinter Review
windows screenshot (52.79 KB, image/png)
2012-05-31 15:46 PDT, Rob Campbell [:rc] (:robcee)
no flags Details

Description Rob Campbell [:rc] (:robcee) 2012-05-25 10:07:58 PDT
The Pause icon is usually not what you're interested in. The activity we perform most-frequently is "Resuming execution" which is more of a "Play" action than "Pause".

We have options:

1. Always use a Play icon instead of Pause.
2. Switch between Play and Pause depending on state (checked would switch to Play, unchecked would be Pause).
3. Incorporate a single Play/Pause button that doesn't change. The |> button.
Comment 1 Rob Campbell [:rc] (:robcee) 2012-05-25 11:28:38 PDT
Paul suggests option 1. Always use the Play icon. I'm inclined to say yes, let's do this for this release. Later on when we have the Threads panel we'll need to be able to pause workers and the pause button may make sense for that.
Comment 2 Stephen Horlander [:shorlander] 2012-05-30 07:19:34 PDT
Created attachment 628329 [details]
Play Icon
Comment 3 Rob Campbell [:rc] (:robcee) 2012-05-30 07:24:47 PDT
yes!
Comment 4 Jared Wein [:jaws] (please needinfo? me) 2012-05-31 03:19:34 PDT
Currently there is no icon for the "play/pause" button when the script is not paused on Win7. I'm not sure if this bug is meant to add the icon there, or if this bug is supposed to change the icon that is supposed to be there.

See this screenshot for an example of what I'm talking about: 
http://screencast.com/t/jbptmYe93X
Comment 5 Panos Astithas [:past] 2012-05-31 04:25:25 PDT
Created attachment 628675 [details] [diff] [review]
Windows fix for the pause icon

Confirmed the missing pause icon. This patch should fix it, although my Win VM will take a while to verify this.
Comment 6 Panos Astithas [:past] 2012-05-31 06:05:16 PDT
(In reply to Panos Astithas [:past] from comment #5)
> Created attachment 628675 [details] [diff] [review]
> Windows fix for the pause icon
> 
> Confirmed the missing pause icon. This patch should fix it, although my Win
> VM will take a while to verify this.

Fix verified.
Comment 7 Rob Campbell [:rc] (:robcee) 2012-05-31 08:53:44 PDT
this isn't really the bug for that. This is about replacing the pause icons with play icons.

I'll have a patch ready (that includes windows) today.
Comment 8 Rob Campbell [:rc] (:robcee) 2012-05-31 14:41:37 PDT
Created attachment 628907 [details] [diff] [review]
play icons

ok, here it is.

I left the pause icon in place figuring well want it again.
Comment 9 Rob Campbell [:rc] (:robcee) 2012-05-31 14:44:33 PDT
Created attachment 628908 [details]
mac screenshot
Comment 10 Rob Campbell [:rc] (:robcee) 2012-05-31 15:45:34 PDT
Created attachment 628929 [details] [diff] [review]
play icons v1
Comment 11 Rob Campbell [:rc] (:robcee) 2012-05-31 15:46:27 PDT
Created attachment 628930 [details]
windows screenshot
Comment 12 Rob Campbell [:rc] (:robcee) 2012-05-31 16:25:16 PDT
https://hg.mozilla.org/integration/fx-team/rev/5d7b03e92502
Comment 13 Rob Campbell [:rc] (:robcee) 2012-06-01 05:55:53 PDT
https://hg.mozilla.org/mozilla-central/rev/5d7b03e92502

Note You need to log in before you can comment on or make changes to this bug.